<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.smarking.mapper.report.reportstu.MsrStudentPointMapper">

    <!--学生报告-学生学科知识点分析-->
    <select id="listStuPoints" resultType="java.util.Map">
        select pointid,pointname,fullscore,stuscore,sturate,schoolavg,schoolrate,qns,mptqids
        from msr_student_point where examid=#{params.examid} and subjectid=#{params.subjectid} and studentid=#{params.studentid} order by spid
    </select>

</mapper>
